<!doctype html>
<html>
<head>
    <title>Tor&#39;s Fall Harvest: The Next Generation of Onion Services | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor&#39;s Fall Harvest: The Next Generation of Onion Services | Tor Project">
    <meta property="og:description" content="We are hyped to present the next generation of onion services! We&#39;ve been working on this project non-stop for the past 4 years and we officially launched it two weeks ago by publishing our first alpha releases. All in all, the new system is a well needed improvement that fixes many shortcomings of the old design, and builds a solid foundation for future onion work.">
    <meta property="og:image" content="https://blog.torproject.org/tors-fall-harvest-next-generation-onion-services/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tors-fall-harvest-next-generation-onion-services/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor&#39;s Fall Harvest: The Next Generation of Onion Services
      </h1>
    <p class="meta">by asn | November 2, 2017</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Hello friends!</p>
<p>We are hyped to present the <a href="https://trac.torproject.org/projects/tor/wiki/doc/NextGenOnions">next generation of onion services</a>! We've been working on this project non-stop <a href="https://blog.torproject.org/mission-montreal-building-next-generation-onion-services">for the</a> <a href="https://trac.torproject.org/projects/tor/ticket/12424">past</a><a href="https://blog.torproject.org/hidden-services-need-some-love"> 4 years</a> and we officially launched it two weeks ago by <a href="https://blog.torproject.org/tor-0321-alpha-released-support-next-gen-onion-services-and-kist-scheduler"> publishing our first alpha releases</a>.</p>
<h2>What's in an onion?</h2>
<p>We are assuming you are familiar with traditional onion services: fun little sites that look like <a data-href="https://www.nytimes3xbfgragh.onion/" href="https://open.nytimes.com/https-open-nytimes-com-the-new-york-times-as-a-tor-onion-service-e0d0b67b7482" rel="noopener" target="_blank">nytimes3xbfgragh.onion</a>. This weird variety of onions has been around <a href="https://www.youtube.com/watch?v=wHmxCeLpveA">for over 10 years</a> and is used for all sorts of things. Here are just some examples:</p>
<ul>
<li>news organizations use them for private information disclosure (see <a href="https://securedrop.theguardian.com/">SecureDrop</a>)</li>
<li>websites use them to defeat censorship and provide a secure gateway for their users (e.g. <a href="http://propub3r6espa33w.onion">ProPublica</a>)</li>
<li>the cryptocurrency ecosystem uses them to perform <a href="https://blog.torproject.org/tor-heart-cryptocurrencies">private transactions</a> and mining</li>
<li>people use them for their reachability and permanent onion address if they are behind NAT or dynamic IP</li>
</ul>
<p><strong>We believe that being able to express yourself and publish content with privacy is as important as being able to browse the web privately, and hence we consider onion services a critical part of the internet.</strong></p>
<h2>What's ripe?</h2>
<p>As previously mentioned, the legacy onion system has been around for over 10 years and its age has started to show. So let's get a taste of the improvements these next generation onions provide us with:</p>
<p>On the <b>cryptography side</b>, we are looking at cutting-edge crypto algorithms and improved authentication schemes. On the <b>protocol end</b>, we redesigned the directory system to defend against info leaks and reduce the overall attack surface. For example, did you know that in the legacy onion system, <a href="https://lists.torproject.org/pipermail/tor-talk/2017-March/042986.html">the network could learn about your onions</a>? However, with this next-generation design, your onion address is completely private and only known to you and whoever you choose to disclose it to.</p>
<p>Now, from an <b>engineer's perspective</b>, the new protocol is way more extensible and features a cleaner codebase. And finally from the <b>casuals user's PoV</b>, the only thing that changes is that new onions are bigger, tastier and they now look like this: <a href="http://7fa6xlti5joarlmkuhjaifa47ukgcwz6tfndgax45ocyn4rixm632jid.onion">7fa6xlti5joarlmkuhjaifa47ukgcwz6tfndgax45ocyn4rixm632jid.onion</a>. For more information on the nitty-gritty details, please check out <a href="https://gitweb.torproject.org/torspec.git/tree/rend-spec-v3.txt">our technical specification</a>.</p>
<p>All in all, the new system is <em>a well needed improvement</em> that fixes many shortcomings of the old design, and builds a solid foundation for future onion work. For more information, please check out our <a href="https://blog.torproject.org/tor-0321-alpha-released-support-next-gen-onion-services-and-kist-scheduler">latest alpha Tor Browser release </a>and try it out. You can also <a href="https://trac.torproject.org/projects/tor/wiki/doc/NextGenOnions#Howtosetupyourownprop224service">setup your own onion service</a> and escape the legacy system for good.</p>
<h2>New Features Are Yet to Come!</h2>
<p>This is just the beginning, so let's talk about the future.</p>
<p>As the current code stabilizes further, we plan to add features like <a href="https://trac.torproject.org/projects/tor/ticket/18098">offline service keys</a>, <a href="https://trac.torproject.org/projects/tor/ticket/20700">advanced client authorization</a>, a <a href="https://trac.torproject.org/projects/tor/ticket/20699">control port interface</a>, improved guard algorithms, <a href="https://blog.torproject.org/cooking-onions-names-your-onions">secure naming systems</a>, <a href="https://trac.torproject.org/projects/tor/ticket/20594">statistics</a>, mixed-latency routing, blockchain support, AI logic and a VR interface (j/k about <em>some</em> of these). We are planning to take it slow, since there is lots to do and many bugs to squash.</p>
<p>Furthermore, we don't want to destabilize the current onion community and so we are not planning to kill the legacy system just yet. As a matter of fact, the legacy system will remain the default option for some more time, while the userbase migrates to the next generation and as we kill bugs and write features. After a while, we plan to push the switch and make the next gen the default. Then in a few years and if the community welcomes the change, we will phase out the legacy system entirely, and let it lie in eternal internet history... but that's not really soon :)</p>
<h2>Help Us Grow!</h2>
<p>There are tons of things that need doing and not too many of us! Help and funding is always appreciated.</p>
<p>Are you a project or a company that depends on onion services? Get in touch if you'd like to sponsor us to work on onion services to make them faster, slower, or stabler.</p>
<p>We also need coding help. Are you a computer daredevil? Do you see your life as a protocol in need of optimization? Do you believe in the cause? The first step is to visit our <a href="https://trac.torproject.org/projects/tor/wiki/doc/NextGenOnions#Howtoconnecttothetesthubfornextgenonionservices">humble test hub</a> and start looking at our <a href="https://gitweb.torproject.org/tor.git/tree/src/or/hs_service.c">code</a> and <a href="https://gitweb.torproject.org/torspec.git/tree/rend-spec-v3.txt">spec</a>. We have <a href="https://trac.torproject.org/projects/tor/wiki/doc/NextGenOnions#Howtohelpthenext-genoniondevelopment">lots of open tickets</a> and a plan forward so get in touch! </p>
<p>And please don't forget to <a href="https://torproject.org/donate/donate-pdrlbp">donate to The Tor Project</a>. We are a small team of motivated individuals taking a stand against tracking, surveillance, and censorship, and we hope you'll join us. </p>
<h2>We Are Happy Farmers</h2>
<p>Finally and before closing this post, the Tor onion services crew would like to extend <strong>a huge thank you</strong> to the people who made this project a reality.</p>
<p>From initial idea to design to code, we would like to express our gratitude: <strong>Nick Matthewson (nickm), Roger Dingledine (armadev), Ian Goldberg, Paul Syverson, Aaron Johnson, Tim Wilson-Brown (teor), s7r, karsten, special, haxxpop, Yawning and the whole Tor Browser Team.</strong></p>
<p>During the testing phase (still ongoing), many volunteers showed up and helped us greatly by reporting bugs to us: <strong>loisiqr, cathugger, willscott, epi, micah, pastly, ahf and hellais, and all the people from the test network</strong>.</p>
<p><strong>This project started 4 years ago so this can NOT possibly be all the people who helped out so sorry if we forgot about you. It was and still is a humongous team effort coming from the entire spectrum of the Tor community.</strong></p>
<hr />
<p>Thanks for reading and we are happy to welcome you to this new part of the internet! :)</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/onion-services">
          onion services
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-272284"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272284" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>NYSE:CSCO NYSE:EQIX (not verified)</span> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
    <a href="#comment-272284">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272284" class="permalink" rel="bookmark">Good job , hope the default…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good job , hope the default tor router , tor note book , tor mobile phone and tor watch likes NYSE:AAPL to increase market share</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272293"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272293" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272284" class="permalink" rel="bookmark">Good job , hope the default…</a> by <span>NYSE:CSCO NYSE:EQIX (not verified)</span></p>
    <a href="#comment-272293">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272293" class="permalink" rel="bookmark">Yes, we are heavily invested…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, we are heavily invested in NYSE:AAPL :P</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272285"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272285" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
    <a href="#comment-272285">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272285" class="permalink" rel="bookmark">Did you forget about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Did you forget about thanking dgoulet ;) ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272291"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272291" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272285" class="permalink" rel="bookmark">Did you forget about…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-272291">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272291" class="permalink" rel="bookmark">oops. it goes without saying…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>oops. it goes without saying that dgoulet and asn are the main people of the onion services team right now</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272286"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272286" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Joe (not verified)</span> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
    <a href="#comment-272286">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272286" class="permalink" rel="bookmark">Is http:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is <a href="http://7fa6xlti5joarlmkuhjaifa47ukgcwz6tfndgax45ocyn4rixm632jid.onion/" rel="nofollow">http://7fa6xlti5joarlmkuhjaifa47ukgcwz6tfndgax45ocyn4rixm632jid.onion/</a> supposed to go to a real onion service? TBB couldn't open it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272292"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272292" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272286" class="permalink" rel="bookmark">Is http:/…</a> by <span>Joe (not verified)</span></p>
    <a href="#comment-272292">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272292" class="permalink" rel="bookmark">Yes it&#039;s a real one but you…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes it's a real one but you need to  use the newest alpha TBBs that the blog post links to. Check them out here:<br />
<a href="https://blog.torproject.org/tor-0321-alpha-released-support-next-gen-onion-services-and-kist-scheduler" rel="nofollow">https://blog.torproject.org/tor-0321-alpha-released-support-next-gen-on…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272334"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272334" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Joe (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272292" class="permalink" rel="bookmark">Yes it&#039;s a real one but you…</a> by <a class="tor" title="View user profile." href="/user/33">George Kadianakis</a></p>
    <a href="#comment-272334">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272334" class="permalink" rel="bookmark">It took me a while to find…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It took me a while to find the page with the alpha releases, but I found it and got in. Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-272290"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272290" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>bouh (not verified)</span> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
    <a href="#comment-272290">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272290" class="permalink" rel="bookmark">and it will be ready in 5…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>and it will be ready in 5 years with a tor browser configured as a mini-firefox (more anonymous maybe but certainly less secure than mine).<br />
your preference is your project : network &amp; " market share " , tbb is far behind ...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272298"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272298" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>toroperator (not verified)</span> said:</p>
      <p class="date-time">November 02, 2017</p>
    </div>
    <a href="#comment-272298">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272298" class="permalink" rel="bookmark">any plans at all on how to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>any plans at all on how to prevent hidden service DDoS attacks? you seem to ignore this issue. mitigating ddos is next to impossible on tor</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272303"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272303" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="I hate all the FUD about DDoS Attacks and Onion Services">I hate all the… (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272298" class="permalink" rel="bookmark">any plans at all on how to…</a> by <span>toroperator (not verified)</span></p>
    <a href="#comment-272303">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272303" class="permalink" rel="bookmark">FUD spreading, if you want…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>FUD spreading, if you want to mitigate DDoS attacks then setup more than one backend using OnionBalance: <a href="https://blog.torproject.org/cooking-onions-finding-onionbalance" rel="nofollow">https://blog.torproject.org/cooking-onions-finding-onionbalance</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272517"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272517" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 15, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272303" class="permalink" rel="bookmark">FUD spreading, if you want…</a> by <span content="I hate all the FUD about DDoS Attacks and Onion Services">I hate all the… (not verified)</span></p>
    <a href="#comment-272517">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272517" class="permalink" rel="bookmark">We recently opened https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>FYI, we recently opened <a href="https://trac.torproject.org/projects/tor/ticket/24298" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/24298</a> to handle this general issue.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272312"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272312" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272298" class="permalink" rel="bookmark">any plans at all on how to…</a> by <span>toroperator (not verified)</span></p>
    <a href="#comment-272312">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272312" class="permalink" rel="bookmark">Hey, unfortunately we haven…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey, unfortunately we haven't worked too much on this yet. Tickets #16052 and #16059 present some plausible approaches forward, but the truth is we need more help from the community in understanding how to handle these DoS threats better.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272338"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272338" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>suggestion (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272312" class="permalink" rel="bookmark">Hey, unfortunately we haven…</a> by <a class="tor" title="View user profile." href="/user/33">George Kadianakis</a></p>
    <a href="#comment-272338">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272338" class="permalink" rel="bookmark">What about a a hashcash like…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What about a a hashcash like system[0]? Letting users perform expensive hashes (ideally with a hash algorithm without mush advantage for specialized hardware) that are cheap to check at various location in the establishing of to the hidden service. </p>
<p>The hash shouldn't be replayable (i.e. to either the same node + same hidden service, different node + same hidden service, different node + different hidden service). I do not have the crypto background to suggest such scheme, I do expect such scheme should be possible.</p>
<p>Without to mush deep knowledge of the prop224 protocol I would imaging it would be useful to have the option to request each node that is part of the negotiation/establishing of the hidden service circuit on the hidden service's part. On top of my head this would include HSDir, introduction point and the hidden service's tor client itself.</p>
<p>By having multiple locations for enforcing expensive hashing may require control of multiple nodes to perform a direct Ddos attack, giving attackers without that capability the only option to indirectly Ddos the hidden service by Ddosing the relevant Tor nodes.</p>
<p>I would recommend enabling this with by default with a reasonable hashing difficulty  (i.e. high enough to make it costly for Ddos but low enough to not slow down too mush even users with weaker hardware), this way all hidden services have some protection without standing out to mush. The default difficulty probably should increase occasionally to account for the increase of processing power. It might be a good idea to have different level standard level of hash difficulty like the security levels of TTB. </p>
<p>[0] <a href="http://www.hashcash.org/" rel="nofollow">http://www.hashcash.org/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-272307"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272307" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Hex (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
    <a href="#comment-272307">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272307" class="permalink" rel="bookmark">Android alpha/beta test?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Android alpha/beta test?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-273752"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273752" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Ronsy (not verified)</span> said:</p>
      <p class="date-time">January 28, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272307" class="permalink" rel="bookmark">Android alpha/beta test?</a> by <span>Hex (not verified)</span></p>
    <a href="#comment-273752">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273752" class="permalink" rel="bookmark">why you do not hear it.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>why you do not hear it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272328"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272328" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Viridian (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
    <a href="#comment-272328">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272328" class="permalink" rel="bookmark">Those new addresses are…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Those new addresses are really long. It doesn't even fit on my screen! and that's just the domain part. With the URI you'll run into problems where things like email clients will put line breaks in the url and break it. I have to say, this is not such an elegant solution. These will be impossible for surfers to memorize, so they'll have to do something compromising to find their sites.  Impossible to even recognize, meaning easy victims to spoofing. The length of these addresses is absurd. Honestly, back to the drawing board.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272330"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272330" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272328" class="permalink" rel="bookmark">Those new addresses are…</a> by <span>Viridian (not verified)</span></p>
    <a href="#comment-272330">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272330" class="permalink" rel="bookmark">Hello Viridian,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello Viridian,</p>
<p>I think your concern is legitimate but I'm hoping it's not the whole picture. If there was an easy solution for shrinking down the addresses while maintaining security we would have done it of course.</p>
<p>Here are a few reasons we are hoping this is not as terrible as it may sound initially:<br />
a) People don't memorize current onion addresses either. Even 16 chars are too much for a human brain to remember. People usually use bookmarks or write them to text files. Here is some survey data on this: <a href="https://lists.torproject.org/pipermail/tor-dev/2017-September/012464.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-dev/2017-September/012464.ht…</a></p>
<p>b) Even normal website URLs can grow pretty big when you include the application data. Some websites add so much crap into their URI that 40 chars make no difference. So bad email clients will always break stuff regardless of the domain size.</p>
<p>c) We are hoping that in the medium-term future we will introduce features that will make the onion address irrelevant by providing some sort of human-memorable layer on top of it. Here is a blog post on this: <a href="https://blog.torproject.org/cooking-onions-names-your-onions" rel="nofollow">https://blog.torproject.org/cooking-onions-names-your-onions</a> .</p>
<p>Cheers!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272331"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272331" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Jeroen (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
    <a href="#comment-272331">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272331" class="permalink" rel="bookmark">Great news and work,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Great news and work, everyone!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272337"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272337" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
    <a href="#comment-272337">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272337" class="permalink" rel="bookmark">https://trac.torproject.org…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://trac.torproject.org/projects/tor/ticket/20594" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/20594</a></p>
<p>So the tor cliemt will upload what onion I visit? How can we opt-out?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272365"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272365" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272337" class="permalink" rel="bookmark">https://trac.torproject.org…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-272365">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272365" class="permalink" rel="bookmark">These statistics are not…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>These statistics are not calculated by the clients, but by the relays.</p>
<p>Your client will *not* upload any information at all. Instead, the relays could count how much hsv3 data go through them in a privacy-preserving way. For more technical info check how we are doing it for legacy onion services: <a href="https://gitweb.torproject.org/torspec.git/tree/proposals/238-hs-relay-stats.txt" rel="nofollow">https://gitweb.torproject.org/torspec.git/tree/proposals/238-hs-relay-s…</a></p>
<p>You can see the results here: <a href="https://metrics.torproject.org/hidserv-dir-onions-seen.html" rel="nofollow">https://metrics.torproject.org/hidserv-dir-onions-seen.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272371"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272371" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272365" class="permalink" rel="bookmark">These statistics are not…</a> by <a class="tor" title="View user profile." href="/user/33">George Kadianakis</a></p>
    <a href="#comment-272371">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272371" class="permalink" rel="bookmark">People who don&#039;t get what…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>People who don't get what differential privacy means won't get it, it's not the first that a privacy focused product gets those complaints, just see all the hysteria generated by Mozilla following an opt-out telemetry plan - not even put to practice ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-272343"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272343" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>ruin (not verified)</span> said:</p>
      <p class="date-time">November 03, 2017</p>
    </div>
    <a href="#comment-272343">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272343" class="permalink" rel="bookmark">Pedophiles and drug seller…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Pedophiles and drug seller/buyers have ruined Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272393"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272393" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>nocte (not verified)</span> said:</p>
      <p class="date-time">November 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272343" class="permalink" rel="bookmark">Pedophiles and drug seller…</a> by <span>ruin (not verified)</span></p>
    <a href="#comment-272393">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272393" class="permalink" rel="bookmark">Repeating the same thing is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Repeating the same thing is tiring : you are every user , that's the price and the benefit of the anonymity.<br />
Indeed , YOU are a pedophile and drug seller/buyer like the pope is (accusing the others about your own activities is a devil attitude).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272394"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272394" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>John Doe (not verified)</span> said:</p>
      <p class="date-time">November 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272343" class="permalink" rel="bookmark">Pedophiles and drug seller…</a> by <span>ruin (not verified)</span></p>
    <a href="#comment-272394">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272394" class="permalink" rel="bookmark">The media has &quot;ruined&quot; Tor.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The media has "ruined" Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272439"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272439" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>certified (not verified)</span> said:</p>
      <p class="date-time">November 09, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272394" class="permalink" rel="bookmark">The media has &quot;ruined&quot; Tor.</a> by <span>John Doe (not verified)</span></p>
    <a href="#comment-272439">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272439" class="permalink" rel="bookmark">As of 2017 the &quot;cyber…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As of 2017 the "cyber-security as a service" industry/cabal has joined in the fray, attempting to make Tor less useful through default blacklists included in their firewalls. The Cloudflare captcha monkey business (AKA mass DDOS attack against human website visitors) might only mark the beginning of a larger trend. This industry as a whole is also spreading much misinformation. Notice how often we're being told that a large "percentage" (pretty meaningless measure) of Tor traffic is "malicious"? And how often they don't even "malicious" is not even defined?</p>
<p>That said, it's amazing how much public hysteria *against* privacy state actors manage to shore up at all levels and in every domain a mere 4 years after the true extent of mass surveillance was exposed. What's wrong with people nowadays? In many parts of the world (especially the relatively *safe* parts), they flock to the political parties that promise a maximum of surveillance and can't even see that the most serious threat to their security would be a technologically enhanced dictatorship and arguably we have already passed the brink, pushing the need to counteract to 100%?</p>
<p>I support Tor in multiple ways and will continue to do so no matter how much it is maligned (as if criminal activities didn't take place in real life, as if privacy - online, offline, everywhere - were something that didn't deserve maximum protection). Even when they eventually outlaw it in my country (seems unlikely at the moment). I suggest everyone do the same and find creative new ways to advocate for it and projects with similar aims.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272493"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272493" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>ciao (not verified)</span> said:</p>
      <p class="date-time">November 13, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272439" class="permalink" rel="bookmark">As of 2017 the &quot;cyber…</a> by <span>certified (not verified)</span></p>
    <a href="#comment-272493">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272493" class="permalink" rel="bookmark">well, it is a lot of noise…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>well, it is a lot of noise for nothing : the more people use &amp; participate at the project (tor &amp; another) the more it is alive &amp; strong.<br />
- They admit a right when they cannot go against but a genuine, logical, cultural, 'reason' should sound as a non-sens, a provocation.<br />
- Media is based on propaganda : it is an aggressive &amp; hostile commercial war where make a fake is like at hollywood , a business.<br />
Fake americans, fake guest, fake news, fake foss, fake vips, fake intelligence, fake female, fake danger, fake racial war, fake rich&amp;poor stories, fake freedom/responsibility &amp; fake security/privacy : as such that the real live begins on the net.<br />
On the net , i need an anonymity (it was a weapon for the outlaws and it is now a power whom real persons depend on because they are the community, the society and the future of their countries ) and my security depends on every person who say 'no' at every step of a dictatorship.</p>
<p>* Malicious is a term for layer and it is also one of the eternal charm of the human being no ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-272363"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272363" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>NitroZxier (not verified)</span> said:</p>
      <p class="date-time">November 04, 2017</p>
    </div>
    <a href="#comment-272363">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272363" class="permalink" rel="bookmark">I love the new improvements…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I love the new improvements that you are adding but, may I ask, why do the onions have to be three times longer then they have to be? I realize that more and more domains are being taken up but, holy cow!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-272387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272387" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  asn
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">George Kadianakis</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/33">George Kadianakis</a> said:</p>
      <p class="date-time">November 06, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-272363" class="permalink" rel="bookmark">I love the new improvements…</a> by <span>NitroZxier (not verified)</span></p>
    <a href="#comment-272387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272387" class="permalink" rel="bookmark">Hello NitroZxier,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello NitroZxier,</p>
<p>that was a necessary step to make Tor onion addresses non-discoverable. If you want some history check out this ancient trac ticket:  <a href="https://trac.torproject.org/projects/tor/ticket/8106" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/8106</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-272403"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272403" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>TorUser (not verified)</span> said:</p>
      <p class="date-time">November 06, 2017</p>
    </div>
    <a href="#comment-272403">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272403" class="permalink" rel="bookmark">oh.
cool</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>oh.<br />
cool</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272413"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272413" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Torrent Mania (not verified)</span> said:</p>
      <p class="date-time">November 07, 2017</p>
    </div>
    <a href="#comment-272413">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272413" class="permalink" rel="bookmark">For those of you using the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For those of you using the non-exit onion-only bittorrent swarm networks, trackers, indexes and forums in OnionLand with your preferred torrent clients...<br />
Don't forget that you will continue to need to use V2 onion services with OnionCat for the long term future. At least until the problem of V3 onions breaking OnionCat's function, and thus both IPv6 and UDP support for torrenting, is fixed by some future implementation that results in the same capabilities. This does not prevent you from using the new V3 client releases for your torrenting, provided those clients still offer legacy 80-bit V2 addressing support. If they drop V2, Tor will be patched or simply forked since the security and privacy levels of V2 are generally sufficient for everyday vanilla torrenting, ie: against the copyright cartel. Here is one related ticket: <a href="https://trac.torproject.org/projects/tor/ticket/23079" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/23079</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272459"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272459" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>parlamen172t (not verified)</span> said:</p>
      <p class="date-time">November 10, 2017</p>
    </div>
    <a href="#comment-272459">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272459" class="permalink" rel="bookmark">восстановить аккаунт</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>восстановить аккаунт</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272471"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272471" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Diamond (not verified)</span> said:</p>
      <p class="date-time">November 12, 2017</p>
    </div>
    <a href="#comment-272471">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272471" class="permalink" rel="bookmark">Good suggestion. Safety is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good suggestion. Safety is paramount. Community Diamond(DMD) supports this initiative.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-272714"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-272714" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Brian Erasmus (not verified)</span> said:</p>
      <p class="date-time">November 23, 2017</p>
    </div>
    <a href="#comment-272714">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-272714" class="permalink" rel="bookmark">During the past hour, I…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>During the past hour, I tried to access a website viz. <a href="http://www.victoryfortheworld.net" rel="nofollow">www.victoryfortheworld.net</a> from this browser, and received a message that my IP address had been blacklisted! Then I got a message that the site's bandwidth had been exceeded! I learned about this particular website through a radio interview I had downloaded featuring the vice president of Canada. Please help me understand the underlying reasons</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273352"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273352" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 09, 2018</p>
    </div>
    <a href="#comment-273352">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273352" class="permalink" rel="bookmark">How was the veesion 1?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How was the veesion 1?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273387" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="experimental repository??">experimental r… (not verified)</span> said:</p>
      <p class="date-time">January 12, 2018</p>
    </div>
    <a href="#comment-273387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273387" class="permalink" rel="bookmark">Now that a 3.2.* is stable…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Now that a 3.2.* is stable is the next alpha going to switch repositories, to experimental-3.3.,,,,</p>
<p>??</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273396"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273396" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Concerned about Specter/Meltdown">Concerned abou… (not verified)</span> said:</p>
      <p class="date-time">January 13, 2018</p>
    </div>
    <a href="#comment-273396">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273396" class="permalink" rel="bookmark">Sorry for dropping this in…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry for dropping this in....I realize it isn't relevant to the current discussion, but I haven't seen it addressed anywhere and it concerns me. I'm concerned about all of this business with Specter/Meltdown and how it will effect Tor's anonymity. Is there a plan to update Tor's Firefox version with Mozilla's recent patches. I understand that some of the risk is being mitigated by reducing the timing accuracy of the FF browser.  Does that make a difference for Tor?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273567"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273567" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2018</p>
    </div>
    <a href="#comment-273567">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273567" class="permalink" rel="bookmark">Thank yo for your job</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank yo for your job</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273734"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273734" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Ecco (not verified)</span> said:</p>
      <p class="date-time">January 28, 2018</p>
    </div>
    <a href="#comment-273734">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273734" class="permalink" rel="bookmark">Why did not you answer for a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why did not you answer for a similar version for android?Torproject closed their deaf ears?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273735"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273735" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Mark (not verified)</span> said:</p>
      <p class="date-time">January 28, 2018</p>
    </div>
    <a href="#comment-273735">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273735" class="permalink" rel="bookmark">I seem to need help with…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I seem to need help with your browser. I did the upgrade and when i star tor instead of getting the welcome page as usual all I get is a blank page. And I can not connect to any onion site, it just stays saying connecting. What did I do wrong, if anything?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-273768"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273768" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">January 29, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-273735" class="permalink" rel="bookmark">I seem to need help with…</a> by <span>Mark (not verified)</span></p>
    <a href="#comment-273768">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273768" class="permalink" rel="bookmark">I don&#039;t know yet. What…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't know yet. What operating system are you on? Does it work if you download a clean, new Tor Browser from our website?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-273896"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273896" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Alex (not verified)</span> said:</p>
      <p class="date-time">February 05, 2018</p>
    </div>
    <a href="#comment-273896">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273896" class="permalink" rel="bookmark">Hi. What do you think about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi. What do you think about post-quantum cryptography? SIDH, for example.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
